Over a million developers have joined DZone.
{{announcement.body}}
{{announcement.title}}

Upgrading UEK Kernel on Oracle Linux 7

DZone's Guide to

Upgrading UEK Kernel on Oracle Linux 7

Take a look at how you can upgrade the UEK kernel and remove previous versions with this extensive tutorial.

· Open Source Zone ·
Free Resource

Find vulnerabilities in your open source libraries in seconds. Get your 30 day free trial today!

In general I work almost exclusively on Macs these days. However, for work and various other reasons I always tend to have a VM with Linux on my Mac to test, run, script things. My VM runs Oracle Linux (OL) on VirtualBox. Oracle Linux just makes a lot of sense for me as we run everything on Oracle Linux internally and in general it is a solid Linux distribution. Of course, once in a while I have to update my Linux version as well to make sure that my Linux environment remains on the latest and greatest. Right now is such a time again as Oracle Linux 7 Unbreakable Enterprise Kernel 5 just released. In the past I was always a bit scared about upgrading kernels because I had little clue of what I was doing.  Turns out that it is a lot easier than one might think, and here is how you do it:

tl;dr

  1. Download new repo list: wget http://yum.oracle.com/public-yum-ol7.repo
  2. Enable the new repo: yum-config-manager --enable ol7_UEKR5
  3. Upgrade the environment: yum upgrade
  4. Reboot the environment: reboot

Download the New Repo List

What I would like to outline in this post is how to upgrade the Unbreakable Enterprise Kernel, short UEK. The steps are actually fairly simple. You will need to have access to the root user as this upgrade can only be performed by root.

As a first step it’s always good to check what you already have. So let’s see what the current repository list for yum looks like by heading over to a terminal as root and type yum repolist:

[root@localhost ~]# yum repolist
Loaded plugins: langpacks, ulninfo
repo id repo name status
ol7_UEKR4/x86_64 Latest Unbreakable Enterprise Kernel Release 4 for Oracle Linux 7Server (x86_64) 704
ol7_addons/x86_64 Oracle Linux 7Server Add ons (x86_64) 273
ol7_latest/x86_64 Oracle Linux 7Server Latest (x86_64) 26,884
repolist: 27,861


In my example I have three repositories configured:

  1. The ol7_UEKR4 repository for UEK4 updates
  2. The ol7_addons repository for various addons such as Docker Engine.
  3. The ol7_latest repository for the latest releases of OL7 core packages

To be able to upgrade to UEK 5, the new version, I have to enable that repository (ol7_UEKR5) for yum so that it can see the new packages, download them and perform the upgrade. Luckily, Oracle always keeps an up to date yum repositories file available on the web at http://yum.oracle.com/public-yum-ol7.repo which contains the latest repositories information. All I have to do is to download it into the right directory where yum expects it, which is /etc/yum.repos.d/:

[root@localhost ~]# cd /etc/yum.repos.d/
[root@localhost yum.repos.d]# wget http://yum.oracle.com/public-yum-ol7.repo
--2018-07-02 17:44:13-- http://yum.oracle.com/public-yum-ol7.repo
Request sent, awaiting response... 200 OK
Length: 11687 (11K) [text/plain]
Saving to: <strong>‘public-yum-ol7.repo.1’</strong>

100%[========================================================================================================>] 11,687 --.-K/s in 0s

2018-07-02 17:44:13 (76.2 MB/s) - ‘public-yum-ol7.repo.1’ saved [11687/11687]

[root@localhost yum.repos.d]# mv public-yum-ol7.repo.1 public-yum-ol7.repo
mv: overwrite ‘public-yum-ol7.repo’? y
[root@localhost yum.repos.d]# ls -al
total 32
drwxr-xr-x. 2 root root 65 Jul 2 17:44 .
drwxr-xr-x. 133 root root 8192 Jul 2 17:10 ..
-rw-r--r--. 1 root root 11687 Jun 21 22:26 public-yum-ol7.repo


Note that wget doesn’t overwrite the original but saves the new version with an .1 at the end. You will have to manually overwrite the old file. Then it’s time to enable the new repository and disable the old one:

[root@localhost yum.repos.d]# yum-config-manager --enable ol7_UEKR5
Loaded plugins: langpacks
================================================================ repo: ol7_UEKR5 =================================================================
[ol7_UEKR5]
async = True
bandwidth = 0
base_persistdir = /var/lib/yum/repos/x86_64/7Server
baseurl = https://yum.oracle.com/repo/OracleLinux/OL7/UEKR5/x86_64/
cache = 0
cachedir = /var/cache/yum/x86_64/7Server/ol7_UEKR5
check_config_file_age = True
compare_providers_priority = 80
cost = 1000
deltarpm_metadata_percentage = 100
deltarpm_percentage =
enabled = 1
enablegroups = True
exclude =
failovermethod = priority
ftp_disable_epsv = False
gpgcadir = /var/lib/yum/repos/x86_64/7Server/ol7_UEKR5/gpgcadir
gpgcakey =
gpgcheck = True
gpgdir = /var/lib/yum/repos/x86_64/7Server/ol7_UEKR5/gpgdir
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle
hdrdir = /var/cache/yum/x86_64/7Server/ol7_UEKR5/headers
http_caching = all
includepkgs =
ip_resolve =
keepalive = True
keepcache = False
mddownloadpolicy = sqlite
mdpolicy = group:small
mediaid =
metadata_expire = 21600
metadata_expire_filter = read-only:present
metalink =
minrate = 0
mirrorlist =
mirrorlist_expire = 86400
name = Latest Unbreakable Enterprise Kernel Release 5 for Oracle Linux 7Server (x86_64)
old_base_cache_dir =
password =
persistdir = /var/lib/yum/repos/x86_64/7Server/ol7_UEKR5
pkgdir = /var/cache/yum/x86_64/7Server/ol7_UEKR5/packages
proxy = False
proxy_dict =
proxy_password =
proxy_username =
repo_gpgcheck = False
retries = 10
skip_if_unavailable = False
ssl_check_cert_permissions = True
sslcacert =
sslclientcert =
sslclientkey =
sslverify = True
throttle = 0
timeout = 30.0
ui_id = ol7_UEKR5/x86_64
ui_repoid_vars = releasever,
basearch
username =
[root@localhost yum.repos.d]# yum-config-manager --disable ol7_UEKR4
Loaded plugins: langpacks
================================================================ repo: ol7_UEKR4 =================================================================
[ol7_UEKR4]
async = True
bandwidth = 0
base_persistdir = /var/lib/yum/repos/x86_64/7Server
baseurl = https://yum.oracle.com/repo/OracleLinux/OL7/UEKR4/x86_64/
cache = 0
cachedir = /var/cache/yum/x86_64/7Server/ol7_UEKR4
check_config_file_age = True
compare_providers_priority = 80
cost = 1000
deltarpm_metadata_percentage = 100
deltarpm_percentage =
enabled = 0
enablegroups = True
exclude =
failovermethod = priority
ftp_disable_epsv = False
gpgcadir = /var/lib/yum/repos/x86_64/7Server/ol7_UEKR4/gpgcadir
gpgcakey =
gpgcheck = True
gpgdir = /var/lib/yum/repos/x86_64/7Server/ol7_UEKR4/gpgdir
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle
hdrdir = /var/cache/yum/x86_64/7Server/ol7_UEKR4/headers
http_caching = all
includepkgs =
ip_resolve =
keepalive = True
keepcache = False
mddownloadpolicy = sqlite
mdpolicy = group:small
mediaid =
metadata_expire = 21600
metadata_expire_filter = read-only:present
metalink =
minrate = 0
mirrorlist =
mirrorlist_expire = 86400
name = Latest Unbreakable Enterprise Kernel Release 4 for Oracle Linux 7Server (x86_64)
old_base_cache_dir =
password =
persistdir = /var/lib/yum/repos/x86_64/7Server/ol7_UEKR4
pkgdir = /var/cache/yum/x86_64/7Server/ol7_UEKR4/packages
proxy = False
proxy_dict =
proxy_password =
proxy_username =
repo_gpgcheck = False
retries = 10
skip_if_unavailable = False
ssl_check_cert_permissions = True
sslcacert =
sslclientcert =
sslclientkey =
sslverify = True
throttle = 0
timeout = 30.0
ui_id = ol7_UEKR4/x86_64
ui_repoid_vars = releasever,
basearch
username =

When issuing yum repolist another time you should now see the ol7_UEKR5 repository instead of the ol7_UEKR4 one:

[root@localhost yum.repos.d]# yum repolist
Loaded plugins: langpacks, ulninfo
ol7_UEKR5 | 1.2 kB 00:00:00
ol7_latest | 1.4 kB 00:00:00
(1/2): ol7_UEKR5/x86_64/updateinfo | 5.0 kB 00:00:00
(2/2): ol7_UEKR5/x86_64/primary | 627 kB 00:00:00
ol7_UEKR5 83/83
repo id repo name status
ol7_UEKR5/x86_64 Latest Unbreakable Enterprise Kernel Release 5 for Oracle Linux 7Server (x86_64) 83
ol7_latest/x86_64 Oracle Linux 7Server Latest (x86_64) 26,884
repolist: 26,967


Note that also the ol7_addons repository has disappeared as it is not enabled by default. I can easily enable it again via yum-config-manager --enable ol7_addons.

Upgrade the Environment

The next step is to upgrade the environment. This will install the new version of UEK as well as a lot of packages that have new versions for the new kernel. At this point I should point out that you should not light heartedly type the next following commands as it will perform a full on Linux kernel upgrade. yum actually allows you to decide between updating to the latest packages and deleting the old ones, i.e. upgrade, or to update to the latest packages and keep the old ones, i.e. update. As I don’t have any needs for the old packages I usually choose yum upgrade, here we go:

[root@localhost yum.repos.d]# yum upgrade
Loaded plugins: langpacks, ulninfo
ol7_UEKR5 | 1.2 kB 00:00:00
ol7_addons | 1.2 kB 00:00:00
ol7_latest | 1.4 kB 00:00:00
Resolving Dependencies
--> Running transaction check
---> Package ModemManager.x86_64 0:1.6.0-2.el7 will be updated
---> Package ModemManager.x86_64 0:1.6.10-1.el7 will be an update
---> Package ModemManager-glib.x86_64 0:1.6.0-2.el7 will be updated
---> Package ModemManager-glib.x86_64 0:1.6.10-1.el7 will be an update
---> Package NetworkManager.x86_64 1:1.4.0-20.el7_3 will be obsoleted
---> Package NetworkManager.x86_64 1:1.10.2-16.el7_5 will be obsoleting
---> Package NetworkManager-adsl.x86_64 1:1.4.0-20.el7_3 will be updated
...
...
...
xmlsec1 x86_64 1.2.20-7.el7_4 ol7_latest 177 k
xmlsec1-openssl x86_64 1.2.20-7.el7_4 ol7_latest 75 k
xz-libs i686 5.2.2-1.el7 ol7_latest 109 k
zlib i686 1.2.7-17.el7 ol7_latest 90 k

Transaction Summary
==================================================================================================================================================
Install 18 Packages (+96 Dependent packages)
Upgrade 780 Packages
Remove 2 Packages

Total download size: 906 M
Is this ok [y/d/N]: y
Downloading packages:
No Presto metadata available for ol7_UEKR5
No Presto metadata available for ol7_latest
(1/894): ModemManager-1.6.10-1.el7.x86_64.rpm | 735 kB 00:00:00
(2/894): ModemManager-glib-1.6.10-1.el7.x86_64.rpm | 231 kB 00:00:00
(3/894): NetworkManager-1.10.2-16.el7_5.x86_64.rpm | 1.7 MB 00:00:00
(4/894): NetworkManager-adsl-1.10.2-16.el7_5.x86_64.rpm | 158 kB 00:00:00
...
...
...
(890/894): yum-rhn-plugin-2.0.1-10.0.1.el7.noarch.rpm | 81 kB 00:00:00
(891/894): yum-utils-1.1.31-45.0.2.el7.noarch.rpm | 119 kB 00:00:00
(892/894): yelp-xsl-3.20.1-1.el7.noarch.rpm | 285 kB 00:00:01
(893/894): zenity-3.22.0-1.el7.x86_64.rpm | 743 kB 00:00:02
(894/894): zlib-1.2.7-17.el7.i686.rpm | 90 kB 00:00:01
--------------------------------------------------------------------------------------------------------------------------------------------------
Total 5.0 MB/s | 906 MB 00:03:01
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Updating : libgcc-4.8.5-28.0.1.el7_5.1.x86_64 1/1685
Installing : 1:grub2-common-2.02-0.65.0.4.el7_4.2.noarch 2/1685
Updating : xkeyboard-config-2.20-1.el7.noarch 3/1685
Updating : 1:liberation-fonts-common-1.07.2-16.el7.noarch 4/1685
Updating : 1:control-center-filesystem-3.26.2-9.el7_5.x86_64 5/1685
Updating : 1:redhat-release-server-7.5-8.0.5.el7.x86_64 6/1685
Updating : 1:emacs-filesystem-24.3-20.el7_4.noarch 7/1685
Updating : mobile-broadband-provider-info-1.20170310-1.el7.noarch 8/1685
...
...
...
xorg-x11-xinit.x86_64 0:1.3.4-2.el7 yelp.x86_64 1:3.22.0-1.el7
yelp-libs.x86_64 1:3.22.0-1.el7 yelp-xsl.noarch 0:3.20.1-1.el7
yum.noarch 0:3.4.3-158.0.1.el7 yum-rhn-plugin.noarch 0:2.0.1-10.0.1.el7
yum-utils.noarch 0:1.1.31-45.0.2.el7 zenity.x86_64 0:3.22.0-1.el7

Replaced:
NetworkManager.x86_64 1:1.4.0-20.el7_3 grub2.x86_64 1:2.02-0.44.0.1.el7 grub2-tools.x86_64 1:2.02-0.44.0.1.el7
iproute.x86_64 0:3.10.0-74.0.1.el7 pygobject3.x86_64 0:3.14.0-3.el7 pygobject3-base.x86_64 0:3.14.0-3.el7
python-caribou.noarch 0:0.4.16-1.el7 rdma.noarch 0:7.3_4.7_rc2-6.el7_3 usbmuxd.x86_64 0:1.0.8-11.el7

Complete!

After yum completed the upgrade you can verify once more that the upgrade of UEK was successful via yum list installed kernel-uek:

[root@localhost yum.repos.d]# yum list installed kernel-uek
Loaded plugins: langpacks, ulninfo
Installed Packages
kernel-uek.x86_64 4.1.12-94.3.8.el7uek @ol7_UEKR4
kernel-uek.x86_64 4.14.35-1818.0.9.el7uek @ol7_UEKR5

The output shows me that the new kernel-uek version from the ol7_UEKR5 repository has been successfully installed.

Reboot the Environment

Last but not least it’s time for a reboot to boot the OS with the new kernel. This can be easily done via the reboot command:

[root@localhost yum.repos.d]# reboot
Connection to localhost closed by remote host.
Connection to localhost closed.

After the reboot you can verify that the OS is running the latest kernel via the uname -r command. You should see that the version matches with the version that the yum list installed kernel-uek command showed you for the ol7_UEKR5 installed kernel:

[root@localhost ~]# uname -r
4.14.35-1818.0.9.el7uek.x86_64

Bonus Task: Uninstall the Old Kernel(s)

After everything is up to date and rebooted you are good to go. However, you may want to remove the old kernel which yum couldn’t remove as the OS was running it while upgrading itself. You don’t have to do this but if you would like to keep your environment clean it’s a good thing to do. By typing yum list kernel* I can quickly see which kernels are still installed:

[root@localhost ~]# yum list installed kernel*
Loaded plugins: langpacks, ulninfo
Installed Packages
kernel.x86_64 3.10.0-862.6.3.el7 @ol7_latest
kernel-devel.x86_64 3.10.0-514.2.2.el7 @ol7_latest
kernel-devel.x86_64 3.10.0-514.26.2.el7 @ol7_latest
kernel-devel.x86_64 3.10.0-862.6.3.el7 @ol7_latest
kernel-headers.x86_64 3.10.0-862.6.3.el7 @ol7_latest
kernel-tools.x86_64 3.10.0-862.6.3.el7 @ol7_latest
kernel-tools-libs.x86_64 3.10.0-862.6.3.el7 @ol7_latest
kernel-uek.x86_64 4.1.12-94.3.8.el7uek @ol7_UEKR4
kernel-uek.x86_64 4.14.35-1818.0.9.el7uek @ol7_UEKR5
kernel-uek-devel.x86_64 4.1.12-61.1.23.el7uek @ol7_UEKR4
kernel-uek-devel.x86_64 4.1.12-94.3.8.el7uek @ol7_UEKR4
kernel-uek-devel.x86_64 4.14.35-1818.0.9.el7uek @ol7_UEKR5
kernel-uek-firmware.noarch 4.1.12-61.1.14.el7uek @ol7_UEKR4
kernel-uek-firmware.noarch 4.1.12-61.1.23.el7uek @ol7_UEKR4
kernel-uek-firmware.noarch 4.1.12-94.3.8.el7uek @ol7_UEKR4

The above output shows me that I have three different kernel versions installed:

  1. kernel.x86_64 3.10.0-862.6.3.el7 from the @ol7_latest repository
  2. kernel-uek.x86_64 4.1.12-94.3.8.el7uek from the @ol7_UEKR4 repository
  3. kernel-uek.x86_64 4.14.35-1818.0.9.el7uek from the @ol7_UEKR5 repository

I actually don’t need the kernel.x86_64 nor the kernel-uek.x86_64 4.1.12-94.3.8.el7uek versions and can just delete them. Fortunately, yum will skip the currently running kernel, so I can just do a yum remove kernel* kernel-uek*:

[root@localhost ~]# yum remove kernel* kernel-uek*
Loaded plugins: langpacks, ulninfo
Skipping the running kernel: kernel-uek-4.14.35-1818.0.9.el7uek.x86_64
Skipping the running kernel: kernel-uek-4.14.35-1818.0.9.el7uek.x86_64
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:3.10.0-862.6.3.el7 will be erased
---> Package kernel-devel.x86_64 0:3.10.0-514.2.2.el7 will be erased
--> Processing Dependency: kernel-devel-uname-r for package: systemtap-devel-3.2-8.el7_5.x86_64
---> Package kernel-devel.x86_64 0:3.10.0-514.26.2.el7 will be erased
---> Package kernel-devel.x86_64 0:3.10.0-862.6.3.el7 will be erased
---> Package kernel-headers.x86_64 0:3.10.0-862.6.3.el7 will be erased
--> Processing Dependency: kernel-headers for package: 1:compat-glibc-headers-2.12-4.el7.x86_64
--> Processing Dependency: kernel-headers >= 2.2.1 for package: 1:compat-glibc-headers-2.12-4.el7.x86_64
--> Processing Dependency: kernel-headers for package: glibc-headers-2.17-222.el7.x86_64
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.17-222.el7.x86_64
---> Package kernel-tools.x86_64 0:3.10.0-862.6.3.el7 will be erased
---> Package kernel-tools-libs.x86_64 0:3.10.0-862.6.3.el7 will be erased
---> Package kernel-uek.x86_64 0:4.1.12-94.3.8.el7uek will be erased
---> Package kernel-uek-devel.x86_64 0:4.1.12-61.1.23.el7uek will be erased
---> Package kernel-uek-devel.x86_64 0:4.1.12-94.3.8.el7uek will be erased
---> Package kernel-uek-devel.x86_64 0:4.14.35-1818.0.9.el7uek will be erased
---> Package kernel-uek-firmware.noarch 0:4.1.12-61.1.14.el7uek will be erased
---> Package kernel-uek-firmware.noarch 0:4.1.12-61.1.23.el7uek will be erased
---> Package kernel-uek-firmware.noarch 0:4.1.12-94.3.8.el7uek will be erased
--> Running transaction check
---> Package compat-glibc-headers.x86_64 1:2.12-4.el7 will be erased
--> Processing Dependency: compat-glibc-headers = 1:2.12-4.el7 for package: 1:compat-glibc-2.12-4.el7.x86_64
---> Package glibc-headers.x86_64 0:2.17-222.el7 will be erased
--> Processing Dependency: glibc-headers for package: glibc-devel-2.17-222.el7.x86_64
--> Processing Dependency: glibc-headers = 2.17-222.el7 for package: glibc-devel-2.17-222.el7.x86_64
---> Package systemtap-devel.x86_64 0:3.2-8.el7_5 will be erased
--> Processing Dependency: systemtap-devel = 3.2-8.el7_5 for package: systemtap-3.2-8.el7_5.x86_64
--> Running transaction check
---> Package compat-glibc.x86_64 1:2.12-4.el7 will be erased
---> Package glibc-devel.x86_64 0:2.17-222.el7 will be erased
--> Processing Dependency: glibc-devel for package: oracle-rdbms-server-12cR1-preinstall-1.0-6.el7.x86_64
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.8.5-28.0.1.el7_5.1.x86_64
---> Package systemtap.x86_64 0:3.2-8.el7_5 will be erased
--> Running transaction check
---> Package gcc.x86_64 0:4.8.5-28.0.1.el7_5.1 will be erased
--> Processing Dependency: gcc for package: libdtrace-ctf-0.8.0-1.el7.x86_64
--> Processing Dependency: gcc = 4.8.5-28.0.1.el7_5.1 for package: libquadmath-devel-4.8.5-28.0.1.el7_5.1.x86_64
--> Processing Dependency: gcc for package: libdtrace-ctf-0.8.0-1.el7.x86_64
--> Processing Dependency: gcc = 4.8.5-28.0.1.el7_5.1 for package: gcc-c++-4.8.5-28.0.1.el7_5.1.x86_64
--> Processing Dependency: gcc = 4.8.5-28.0.1.el7_5.1 for package: gcc-gfortran-4.8.5-28.0.1.el7_5.1.x86_64
--> Processing Dependency: gcc = 4.8.5 for package: libtool-2.4.2-22.el7_3.x86_64
---> Package oracle-rdbms-server-12cR1-preinstall.x86_64 0:1.0-6.el7 will be erased
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.8.5-28.0.1.el7_5.1 will be erased
---> Package gcc-gfortran.x86_64 0:4.8.5-28.0.1.el7_5.1 will be erased
---> Package libdtrace-ctf.x86_64 0:0.8.0-1.el7 will be erased
---> Package libquadmath-devel.x86_64 0:4.8.5-28.0.1.el7_5.1 will be erased
---> Package libtool.x86_64 0:2.4.2-22.el7_3 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================================================
Package Arch Version Repository Size
==================================================================================================================================================
Removing:
kernel x86_64 3.10.0-862.6.3.el7 @ol7_latest 62 M
kernel-devel x86_64 3.10.0-514.2.2.el7 @ol7_latest 34 M
kernel-devel x86_64 3.10.0-514.26.2.el7 @ol7_latest 34 M
kernel-devel x86_64 3.10.0-862.6.3.el7 @ol7_latest 37 M
kernel-headers x86_64 3.10.0-862.6.3.el7 @ol7_latest 3.6 M
kernel-tools x86_64 3.10.0-862.6.3.el7 @ol7_latest 278 k
kernel-tools-libs x86_64 3.10.0-862.6.3.el7 @ol7_latest 18 k
kernel-uek x86_64 4.1.12-94.3.8.el7uek @ol7_UEKR4 153 M
kernel-uek-devel x86_64 4.1.12-61.1.23.el7uek @ol7_UEKR4 38 M
kernel-uek-devel x86_64 4.1.12-94.3.8.el7uek @ol7_UEKR4 38 M
kernel-uek-devel x86_64 4.14.35-1818.0.9.el7uek @ol7_UEKR5 63 M
kernel-uek-firmware noarch 4.1.12-61.1.14.el7uek @ol7_UEKR4 2.9 M
kernel-uek-firmware noarch 4.1.12-61.1.23.el7uek @ol7_UEKR4 2.9 M
kernel-uek-firmware noarch 4.1.12-94.3.8.el7uek @ol7_UEKR4 2.9 M
Removing for dependencies:
compat-glibc x86_64 1:2.12-4.el7 @anaconda/7.2 6.7 M
compat-glibc-headers x86_64 1:2.12-4.el7 @anaconda/7.2 2.0 M
gcc x86_64 4.8.5-28.0.1.el7_5.1 @ol7_latest 37 M
gcc-c++ x86_64 4.8.5-28.0.1.el7_5.1 @ol7_latest 16 M
gcc-gfortran x86_64 4.8.5-28.0.1.el7_5.1 @ol7_latest 16 M
glibc-devel x86_64 2.17-222.el7 @ol7_latest 1.0 M
glibc-headers x86_64 2.17-222.el7 @ol7_latest 2.2 M
libdtrace-ctf x86_64 0.8.0-1.el7 @ol7_UEKR5 66 k
libquadmath-devel x86_64 4.8.5-28.0.1.el7_5.1 @ol7_latest 18 k
libtool x86_64 2.4.2-22.el7_3 @ol7_latest 2.2 M
oracle-rdbms-server-12cR1-preinstall x86_64 1.0-6.el7 @ol7_latest 52 k
systemtap x86_64 3.2-8.el7_5 @ol7_latest 199 k
systemtap-devel x86_64 3.2-8.el7_5 @ol7_latest 7.3 M

Transaction Summary
==================================================================================================================================================
Remove 14 Packages (+13 Dependent packages)

Installed size: 563 M
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Erasing : oracle-rdbms-server-12cR1-preinstall-1.0-6.el7.x86_64 1/27
Erasing : 1:compat-glibc-2.12-4.el7.x86_64 2/27
Erasing : 1:compat-glibc-headers-2.12-4.el7.x86_64 3/27
Erasing : kernel-uek-4.1.12-94.3.8.el7uek.x86_64 4/27
Erasing : kernel-uek-devel.x86_64 5/27
Erasing : libtool-2.4.2-22.el7_3.x86_64 6/27
Erasing : kernel-uek-devel.x86_64 7/27
Erasing : systemtap-3.2-8.el7_5.x86_64 8/27
Erasing : kernel-uek-devel.x86_64 9/27
Erasing : systemtap-devel-3.2-8.el7_5.x86_64 10/27
Erasing : gcc-gfortran-4.8.5-28.0.1.el7_5.1.x86_64 11/27
Erasing : libquadmath-devel-4.8.5-28.0.1.el7_5.1.x86_64 12/27
Erasing : kernel-devel.x86_64 13/27
Erasing : kernel-uek-firmware.noarch 14/27
Erasing : kernel-uek-firmware.noarch 15/27
Erasing : kernel-devel.x86_64 16/27
Erasing : kernel-devel.x86_64 17/27
Erasing : kernel-3.10.0-862.6.3.el7.x86_64 18/27
Erasing : kernel-uek-firmware.noarch 19/27
Erasing : libdtrace-ctf-0.8.0-1.el7.x86_64 20/27
Erasing : gcc-c++-4.8.5-28.0.1.el7_5.1.x86_64 21/27
Erasing : gcc-4.8.5-28.0.1.el7_5.1.x86_64 22/27
Erasing : glibc-devel-2.17-222.el7.x86_64 23/27
Erasing : glibc-headers-2.17-222.el7.x86_64 24/27
Erasing : kernel-tools-3.10.0-862.6.3.el7.x86_64 25/27
Erasing : kernel-headers-3.10.0-862.6.3.el7.x86_64 26/27
Erasing : kernel-tools-libs-3.10.0-862.6.3.el7.x86_64 27/27
Verifying : kernel-uek-devel-4.14.35-1818.0.9.el7uek.x86_64 1/27
Verifying : 1:compat-glibc-headers-2.12-4.el7.x86_64 2/27
Verifying : gcc-gfortran-4.8.5-28.0.1.el7_5.1.x86_64 3/27
Verifying : systemtap-3.2-8.el7_5.x86_64 4/27
Verifying : systemtap-devel-3.2-8.el7_5.x86_64 5/27
Verifying : glibc-devel-2.17-222.el7.x86_64 6/27
Verifying : kernel-devel-3.10.0-514.26.2.el7.x86_64 7/27
Verifying : libquadmath-devel-4.8.5-28.0.1.el7_5.1.x86_64 8/27
Verifying : glibc-headers-2.17-222.el7.x86_64 9/27
Verifying : kernel-uek-devel-4.1.12-61.1.23.el7uek.x86_64 10/27
Verifying : 1:compat-glibc-2.12-4.el7.x86_64 11/27
Verifying : kernel-uek-4.1.12-94.3.8.el7uek.x86_64 12/27
Verifying : kernel-uek-firmware-4.1.12-61.1.14.el7uek.noarch 13/27
Verifying : kernel-tools-3.10.0-862.6.3.el7.x86_64 14/27
Verifying : kernel-tools-libs-3.10.0-862.6.3.el7.x86_64 15/27
Verifying : libtool-2.4.2-22.el7_3.x86_64 16/27
Verifying : kernel-uek-firmware-4.1.12-94.3.8.el7uek.noarch 17/27
Verifying : kernel-3.10.0-862.6.3.el7.x86_64 18/27
Verifying : oracle-rdbms-server-12cR1-preinstall-1.0-6.el7.x86_64 19/27
Verifying : kernel-uek-devel-4.1.12-94.3.8.el7uek.x86_64 20/27
Verifying : gcc-4.8.5-28.0.1.el7_5.1.x86_64 21/27
Verifying : kernel-devel-3.10.0-862.6.3.el7.x86_64 22/27
Verifying : kernel-devel-3.10.0-514.2.2.el7.x86_64 23/27
Verifying : kernel-uek-firmware-4.1.12-61.1.23.el7uek.noarch 24/27
Verifying : kernel-headers-3.10.0-862.6.3.el7.x86_64 25/27
Verifying : gcc-c++-4.8.5-28.0.1.el7_5.1.x86_64 26/27
Verifying : libdtrace-ctf-0.8.0-1.el7.x86_64 27/27

Removed:
kernel.x86_64 0:3.10.0-862.6.3.el7 kernel-devel.x86_64 0:3.10.0-514.2.2.el7
kernel-devel.x86_64 0:3.10.0-514.26.2.el7 kernel-devel.x86_64 0:3.10.0-862.6.3.el7
kernel-headers.x86_64 0:3.10.0-862.6.3.el7 kernel-tools.x86_64 0:3.10.0-862.6.3.el7
kernel-tools-libs.x86_64 0:3.10.0-862.6.3.el7 kernel-uek.x86_64 0:4.1.12-94.3.8.el7uek
kernel-uek-devel.x86_64 0:4.1.12-61.1.23.el7uek kernel-uek-devel.x86_64 0:4.1.12-94.3.8.el7uek
kernel-uek-devel.x86_64 0:4.14.35-1818.0.9.el7uek kernel-uek-firmware.noarch 0:4.1.12-61.1.14.el7uek
kernel-uek-firmware.noarch 0:4.1.12-61.1.23.el7uek kernel-uek-firmware.noarch 0:4.1.12-94.3.8.el7uek

Dependency Removed:
compat-glibc.x86_64 1:2.12-4.el7 compat-glibc-headers.x86_64 1:2.12-4.el7 gcc.x86_64 0:4.8.5-28.0.1.el7_5.1
gcc-c++.x86_64 0:4.8.5-28.0.1.el7_5.1 gcc-gfortran.x86_64 0:4.8.5-28.0.1.el7_5.1 glibc-devel.x86_64 0:2.17-222.el7
glibc-headers.x86_64 0:2.17-222.el7 libdtrace-ctf.x86_64 0:0.8.0-1.el7 libquadmath-devel.x86_64 0:4.8.5-28.0.1.el7_5.1
libtool.x86_64 0:2.4.2-22.el7_3 oracle-rdbms-server-12cR1-preinstall.x86_64 0:1.0-6.el7 systemtap.x86_64 0:3.2-8.el7_5
systemtap-devel.x86_64 0:3.2-8.el7_5

Complete!

And that’s it, my environment is upgraded to the latest version of the UEK kernel and the old ones removed from the system.


Software composition Analysis for DevSecOps. Start finding vulnerabilities in your open source components today.

Topics:
open source ,uek ,kernel upgrade ,environment upgrade ,Linux

Published at DZone with permission of

Opinions expressed by DZone contributors are their own.

{{ parent.title || parent.header.title}}

{{ parent.tldr }}

{{ parent.urlSource.name }}